Gem::Specification.new do |spec|
  spec.authors       = ["Myungjae Won"]
  spec.email         = ["breadmj@gmail.com"]
  spec.description   = %q{Fluentd plugins for gRPC}
  spec.summary       = %q{Fluentd input/output plugins that communicate over gRPC}
  spec.homepage      = "https://github.com/breadmj/fluent-plugin-grpc"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($\)
  spec.executables   = spec.files.grep(%r{^bin/}).map{ |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.name          = "fluent-plugin-grpc"
  spec.require_paths = ["lib"]
  spec.version       = '0.0.2'
  spec.required_ruby_version = ">= 2.3.0"

  spec.add_dependency "fluentd", [">= 0.12.39", "< 2"]
  spec.add_dependency "grpc", "~> 1.14"

  spec.add_development_dependency "bundler", "~> 1.14"
  spec.add_development_dependency "rake", "~> 12.0"
  spec.add_development_dependency "test-unit", "~> 3.0"
  spec.add_development_dependency "grpc-tools", "~> 1.14"
end
